Subject: bug#35208: 27.0.50; Gnus nndraft error when saving message buffer

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 11 Apr 2019 03:36:49 +0100

Katsumi Yamaoka <[email-masked]> writes:

> Me culprit.  The cause is that `nndraft-update-unread-articles'
> fails to go to the nndraft:queue group (in order to delete the
> group line if the group has no unread article).  nndraft:queue
> and its directory are created when Gnus launches, and it is
> registered into `gnus-active-hashtb' but not `gnus-newsrc-hashtb'.
> So, `gnus-group-goto-group', that I recently changed so as to
> use `gnus-newsrc-hashtb' instead of `gnus-active-hashtb', fails
> to find the nndraft:queue group.
>
> I've pushed the fix.  Thank you for pointing this out.

I can confirm your patch fixed the problem.
Thanks for the quick fix and explanation!

-- 
Basil